Index: data/contentcreation/pps/MirkoKaiser/CuboidSS/Version2/meshes/OgreXMLConverter.log
===================================================================
--- data/contentcreation/pps/MirkoKaiser/CuboidSS/Version2/meshes/OgreXMLConverter.log	(revision 5307)
+++ data/contentcreation/pps/MirkoKaiser/CuboidSS/Version2/meshes/OgreXMLConverter.log	(revision 5330)
@@ -1,55 +1,97 @@
-22:35:05: Creating resource group General
-22:35:05: Creating resource group Internal
-22:35:05: Creating resource group Autodetect
-22:35:05: Registering ResourceManager for type Mesh
-22:35:05: Registering ResourceManager for type Material
-22:35:05: Registering ResourceManager for type Skeleton
-22:35:05: XMLMeshSerializer reading mesh data from /home/wallah/Desktop/OrxonoxPPS/CuboidSS/Version2/meshes/CuboidLandingZone.mesh.xml...
-22:35:05: Reading submeshes...
-22:35:05: Reading geometry...
-22:35:05: Geometry done...
-22:35:05: Reading geometry...
-22:35:05: Geometry done...
-22:35:05: Reading geometry...
-22:35:05: Geometry done...
-22:35:05: Reading geometry...
-22:35:05: Geometry done...
-22:35:05: Reading geometry...
-22:35:05: Geometry done...
-22:35:05: Submeshes done.
-22:35:05: XMLMeshSerializer import successful.
-22:35:05: Reorganising vertex buffers to automatic layout..
-22:35:05: MeshSerializer writing mesh data to /home/wallah/Desktop/OrxonoxPPS/CuboidSS/Version2/meshes/CuboidLandingZone.mesh...
-22:35:05: File header written.
-22:35:05: Writing mesh data...
-22:35:05: Writing submesh...
-22:35:05: Exporting submesh texture aliases...
-22:35:05: Submesh texture aliases exported.
-22:35:05: Submesh exported.
-22:35:05: Writing submesh...
-22:35:05: Exporting submesh texture aliases...
-22:35:05: Submesh texture aliases exported.
-22:35:05: Submesh exported.
-22:35:05: Writing submesh...
-22:35:05: Exporting submesh texture aliases...
-22:35:05: Submesh texture aliases exported.
-22:35:05: Submesh exported.
-22:35:05: Writing submesh...
-22:35:05: Exporting submesh texture aliases...
-22:35:05: Submesh texture aliases exported.
-22:35:05: Submesh exported.
-22:35:05: Writing submesh...
-22:35:05: Exporting submesh texture aliases...
-22:35:05: Submesh texture aliases exported.
-22:35:05: Submesh exported.
-22:35:05: Exporting bounds information....
-22:35:05: Bounds information exported.
-22:35:05: Exporting submesh name table...
-22:35:05: Submesh name table exported.
-22:35:05: Exporting edge lists...
-22:35:05: Edge lists exported
-22:35:05: Mesh data exported.
-22:35:05: MeshSerializer export successful.
-22:35:05: Unregistering ResourceManager for type Skeleton
-22:35:05: Unregistering ResourceManager for type Material
-22:35:05: Unregistering ResourceManager for type Mesh
+15:06:55: Creating resource group General
+15:06:55: Creating resource group Internal
+15:06:55: Creating resource group Autodetect
+15:06:55: Registering ResourceManager for type Mesh
+15:06:55: Registering ResourceManager for type Material
+15:06:55: Registering ResourceManager for type Skeleton
+15:06:56: XMLMeshSerializer reading mesh data from /home/wallah/Desktop/OrxonoxPPS/CuboidSS/Version2/meshes/SemiCircleCockpit.mesh.xml...
+15:06:57: Reading submeshes...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Reading geometry...
+15:06:57: Geometry done...
+15:06:57: Submeshes done.
+15:06:57: XMLMeshSerializer import successful.
+15:06:57: Reorganising vertex buffers to automatic layout..
+15:06:57: MeshSerializer writing mesh data to /home/wallah/Desktop/OrxonoxPPS/CuboidSS/Version2/meshes/SemiCircleCockpit.mesh...
+15:06:57: File header written.
+15:06:57: Writing mesh data...
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Writing submesh...
+15:06:57: Exporting submesh texture aliases...
+15:06:57: Submesh texture aliases exported.
+15:06:57: Submesh exported.
+15:06:57: Exporting bounds information....
+15:06:57: Bounds information exported.
+15:06:57: Exporting submesh name table...
+15:06:57: Submesh name table exported.
+15:06:57: Exporting edge lists...
+15:06:57: Edge lists exported
+15:06:57: Mesh data exported.
+15:06:57: MeshSerializer export successful.
+15:06:57: Unregistering ResourceManager for type Skeleton
+15:06:57: Unregistering ResourceManager for type Material
+15:06:57: Unregistering ResourceManager for type Mesh