Index: trunk/src/Makefile.in
===================================================================
--- trunk/src/Makefile.in	(revision 5315)
+++ trunk/src/Makefile.in	(revision 5342)
@@ -337,5 +337,5 @@
                   lib/graphics/light.cc \
                   lib/graphics/shader.cc \
-                  lib/graphics/text_engine.cc \
+                  lib/graphics/text_engine/text_engine.cc \
                   lib/graphics/render2D/element_2d.cc \
                   lib/graphics/render2D/render_2d.cc \
@@ -410,5 +410,5 @@
                  lib/graphics/light.h \
                  lib/graphics/shader.h \
-                 lib/graphics/text_engine.h \
+                 lib/graphics/text_engine/text_engine.h \
                  lib/lang/base_object.h \
                  lib/graphics/render2D/element_2d.h \
@@ -1245,19 +1245,19 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-shader.obj `if test -f 'lib/graphics/shader.cc'; then $(CYGPATH_W) 'lib/graphics/shader.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/shader.cc'; fi`
 
-orxonox-text_engine.o: lib/graphics/text_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-text_engine.o -MD -MP -MF "$(DEPDIR)/orxonox-text_engine.Tpo" -c -o orxonox-text_engine.o `test -f 'lib/graphics/text_engine.cc' || echo '$(srcdir)/'`lib/graphics/text_engine.cc; \
+orxonox-text_engine.o: lib/graphics/text_engine/text_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-text_engine.o -MD -MP -MF "$(DEPDIR)/orxonox-text_engine.Tpo" -c -o orxonox-text_engine.o `test -f 'lib/graphics/text_engine/text_engine.cc' || echo '$(srcdir)/'`lib/graphics/text_engine/text_engine.cc; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-text_engine.Tpo" "$(DEPDIR)/orxonox-text_engine.Po"; else rm -f "$(DEPDIR)/orxonox-text_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/text_engine.cc' object='orxonox-text_engine.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/text_engine/text_engine.cc' object='orxonox-text_engine.o' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-text_engine.Po' tmpdepfile='$(DEPDIR)/orxonox-text_engine.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-text_engine.o `test -f 'lib/graphics/text_engine.cc' || echo '$(srcdir)/'`lib/graphics/text_engine.cc
-
-orxonox-text_engine.obj: lib/graphics/text_engine.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-text_engine.obj -MD -MP -MF "$(DEPDIR)/orxonox-text_engine.Tpo" -c -o orxonox-text_engine.obj `if test -f 'lib/graphics/text_engine.cc'; then $(CYGPATH_W) 'lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/text_engine.cc'; fi`; \
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-text_engine.o `test -f 'lib/graphics/text_engine/text_engine.cc' || echo '$(srcdir)/'`lib/graphics/text_engine/text_engine.cc
+
+orxonox-text_engine.obj: lib/graphics/text_engine/text_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-text_engine.obj -MD -MP -MF "$(DEPDIR)/orxonox-text_engine.Tpo" -c -o orxonox-text_engine.obj `if test -f 'lib/graphics/text_engine/text_engine.cc'; then $(CYGPATH_W) 'lib/graphics/text_engine/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/text_engine/text_engine.cc'; fi`; \
 @am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-text_engine.Tpo" "$(DEPDIR)/orxonox-text_engine.Po"; else rm -f "$(DEPDIR)/orxonox-text_engine.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/text_engine.cc' object='orxonox-text_engine.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/text_engine/text_engine.cc' object='orxonox-text_engine.obj' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-text_engine.Po' tmpdepfile='$(DEPDIR)/orxonox-text_engine.TPo' @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-text_engine.obj `if test -f 'lib/graphics/text_engine.cc'; then $(CYGPATH_W) 'lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/text_engine.cc'; fi`
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-text_engine.obj `if test -f 'lib/graphics/text_engine/text_engine.cc'; then $(CYGPATH_W) 'lib/graphics/text_engine/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/text_engine/text_engine.cc'; fi`
 
 orxonox-element_2d.o: lib/graphics/render2D/element_2d.cc
@@ -1559,5 +1559,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/lib/coord $(distdir)/lib/graphics $(distdir)/lib/graphics/render2D $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/util $(distdir)/util/animation $(distdir)/util/loading $(distdir)/util/track $(distdir)/world_entities $(distdir)/world_entities/weapons
+	$(mkdir_p) $(distdir)/defs $(distdir)/lib/coord $(distdir)/lib/graphics $(distdir)/lib/graphics/render2D $(distdir)/lib/graphics/text_engine $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/util $(distdir)/util/animation $(distdir)/util/loading $(distdir)/util/track $(distdir)/world_entities $(distdir)/world_entities/weapons
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \