Index: /trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- /trunk/src/lib/graphics/graphics_engine.cc	(revision 5345)
+++ /trunk/src/lib/graphics/graphics_engine.cc	(revision 5346)
@@ -115,12 +115,10 @@
   // looking if we are in fullscreen-mode
   const char* fullscreen = iniParser->getVar(CONFIG_NAME_FULLSCREEN, CONFIG_SECTION_VIDEO, "0");
-  if (strchr(fullscreen, '1'))
+  if (strchr(fullscreen, '1') || strcasestr(fullscreen, "true"))
     this->fullscreenFlag = SDL_FULLSCREEN;
-
-
 
   // looking if we are in fullscreen-mode
   const char* textures = iniParser->getVar(CONFIG_NAME_TEXTURES, CONFIG_SECTION_VIDEO_ADVANCED, "0");
-  if (strchr(textures, '1'))
+  if (strchr(textures, '1') || strcasestr(textures, "true"))
     this->texturesEnabled = true;
   else
@@ -138,7 +136,7 @@
 /**
  *  initializes the Video for openGL.
-
-   This has to be done only once when starting orxonox.
-*/
+ *
+ * This has to be done only once when starting orxonox.
+ */
 int GraphicsEngine::initVideo(unsigned int resX, unsigned int resY, unsigned int bbp)
 {
@@ -209,5 +207,5 @@
 /**
  *  Sets the GL-attributes
-*/
+ */
 int GraphicsEngine::setGLattribs()
 {
@@ -284,5 +282,5 @@
  * @param height The height of the window
  * @param bpp bits per pixel
-*/
+ */
 int GraphicsEngine::setResolution(int width, int height, int bpp)
 {
@@ -323,5 +321,5 @@
  * @param green the green part of the background
  * @param alpha the alpha part of the background
-*/
+ */
 void GraphicsEngine::setBackgroundColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
 {
@@ -332,5 +330,5 @@
  *  Signalhandler, for when the resolution has changed
  * @param resizeInfo SDL information about the size of the new screen size
-*/
+ */
 int GraphicsEngine::resolutionChanged(const SDL_ResizeEvent& resizeInfo)
 {
@@ -431,6 +429,6 @@
 
 /**
- *  leaves the 2DMode again also \see Font::enter2DMode()
-*/
+ *  leaves the 2DMode again also @see Font::enter2DMode()
+ */
 void GraphicsEngine::leave2DMode()
 {
@@ -446,5 +444,5 @@
 /**
  *  stores the GL_matrices
-*/
+ */
 void GraphicsEngine::storeMatrices()
 {
@@ -465,5 +463,5 @@
 /**
  *  outputs all the Fullscreen modes.
-*/
+ */
 void GraphicsEngine::listModes()
 {
@@ -515,6 +513,6 @@
  *  ticks the Text
  * @param dt the time passed
-*/
-  void GraphicsEngine::tick(float dt)
+ */
+void GraphicsEngine::tick(float dt)
 {
   if( unlikely(this->bDisplayFPS))
@@ -552,43 +550,52 @@
 
 /**
- *  displays the Frames per second
+ * displays the Frames per second
  * @param display if the text should be displayed
-
-   @todo this is dangerous
 */
 void GraphicsEngine::displayFPS(bool display)
 {
-  if( display)
-    {
 #ifndef NO_TEXT
-if (this->geTextCFPS == NULL)
-{
-  this->geTextCFPS = new Text("fonts/arial_black.ttf", 15, TEXT_RENDER_DYNAMIC);
-  this->geTextCFPS->setName("curFPS");
-  this->geTextCFPS->setAlignment(TEXT_ALIGN_LEFT);
-  this->geTextCFPS->setAbsCoor2D(5, 15);
-}
-if (this->geTextMaxFPS == NULL)
-{
-      this->geTextMaxFPS = new Text("fonts/arial_black.ttf", 15, TEXT_RENDER_DYNAMIC);
-      this->geTextMaxFPS->setName("MaxFPS");
-      this->geTextMaxFPS->setAlignment(TEXT_ALIGN_LEFT);
-      this->geTextMaxFPS->setAbsCoor2D(5, 40);
-}
-if (this->geTextMinFPS == NULL)
-{
-      this->geTextMinFPS = new Text("fonts/arial_black.ttf", 15, TEXT_RENDER_DYNAMIC);
-      this->geTextMinFPS->setName("MinFPS");
-      this->geTextMinFPS->setAlignment(TEXT_ALIGN_LEFT);
-      this->geTextMinFPS->setAbsCoor2D(5, 65);
-}
+  if( display )
+{
+  if (this->geTextCFPS == NULL)
+  {
+    this->geTextCFPS = new Text("fonts/arial_black.ttf", 15, TEXT_RENDER_DYNAMIC);
+    this->geTextCFPS->setName("curFPS");
+    this->geTextCFPS->setAlignment(TEXT_ALIGN_LEFT);
+    this->geTextCFPS->setAbsCoor2D(5, 15);
+  }
+  if (this->geTextMaxFPS == NULL)
+  {
+    this->geTextMaxFPS = new Text("fonts/arial_black.ttf", 15, TEXT_RENDER_DYNAMIC);
+    this->geTextMaxFPS->setName("MaxFPS");
+    this->geTextMaxFPS->setAlignment(TEXT_ALIGN_LEFT);
+    this->geTextMaxFPS->setAbsCoor2D(5, 40);
+  }
+  if (this->geTextMinFPS == NULL)
+  {
+    this->geTextMinFPS = new Text("fonts/arial_black.ttf", 15, TEXT_RENDER_DYNAMIC);
+    this->geTextMinFPS->setName("MinFPS");
+    this->geTextMinFPS->setAlignment(TEXT_ALIGN_LEFT);
+    this->geTextMinFPS->setAbsCoor2D(5, 65);
+  }
+}
+else
+{
+  delete this->geTextCFPS;
+  this->geTextCFPS = NULL;
+  delete this->geTextMaxFPS;
+  this->geTextMaxFPS = NULL;
+  delete this->geTextMinFPS;
+  this->geTextMinFPS = NULL;
+}
+  this->bDisplayFPS = display;
+#else
+  this->bDisplayFPS = false;
 #endif /* NO_TEXT */
-    }
-  this->bDisplayFPS = display;
-}
-
-
-/**
-  \brief processes the events for the GraphicsEngine class
+}
+
+
+/**
+  processes the events for the GraphicsEngine class
 * @param the event to handle
  */
@@ -603,3 +610,2 @@
 
 }
-
Index: /trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- /trunk/src/lib/graphics/graphics_engine.h	(revision 5345)
+++ /trunk/src/lib/graphics/graphics_engine.h	(revision 5346)
@@ -83,34 +83,45 @@
 
   public:
-    static bool             texturesEnabled; //!< if textures should be enabled (globally)
+    static bool             texturesEnabled;    //!< if textures should be enabled (globally)
 
 
   private:
-    static GraphicsEngine*  singletonRef;    //!< Pointer to the only instance of this Class
-    bool                    isInit;          //!< if the GraphicsEngine is initialized.
+    static GraphicsEngine*  singletonRef;       //!< Pointer to the only instance of this Class
+    bool                    isInit;             //!< if the GraphicsEngine is initialized.
 
-    SDL_Surface*            screen;          //!< the screen we draw to
-    int                     resolutionX;     //!< the X-resoultion of the screen
-    int                     resolutionY;     //!< the Y-resolution of the screen
-    int                     bitsPerPixel;    //!< the bits per pixels of the screen
-    Uint32                  fullscreenFlag;  //!< if we are in fullscreen mode
-    Uint32                  videoFlags;      //!< flags for video
-    SDL_Rect**              videoModes;      //!< list of resolutions
+    // state.
+    SDL_Surface*            screen;             //!< the screen we draw to
+    int                     resolutionX;        //!< the X-resoultion of the screen
+    int                     resolutionY;        //!< the Y-resolution of the screen
+    int                     bitsPerPixel;       //!< the bits per pixels of the screen
+    Uint32                  fullscreenFlag;     //!< if we are in fullscreen mode
+    Uint32                  videoFlags;         //!< flags for video
+    SDL_Rect**              videoModes;         //!< list of resolutions
 
-    bool                    bDisplayFPS;     //!< is true if the fps should be displayed
-    float                   currentFPS;      //!< the current frame rate: frames per seconds
-    float                   maxFPS;          //!< maximal frame rate we ever got since start of the game
-    float                   minFPS;          //!< minimal frame rate we ever got since start
+    bool                    fogEnabled;         //!< If Fog should be enabled.
+    bool                    shadowsEnabled;     //!< If Shadows should be enabled.
+    bool                    particlesEnabled;   //!< If particles should be enabled.
+    int                     particlesValue;     //!< How many particles
+    int                     textureQuality;     //!< the quality of Textures
+    int                     filteringMethod;    //!< The filtering Method of textures.
+    int                     modelQuality;       //!< The quality of the Models loaded.
+    int                     antialiasingDepth;  //!< the Depth of the AntiAlias-Filter.
 
     // HARDWARE-Settings:
-    char*                   hwRenderer;
-    char*                   hwVendor;
-    char*                   hwVersion;
-    SubString*              hwExtensions;
+    char*                   hwRenderer;         //!< HW-renderer-string
+    char*                   hwVendor;           //!< HW-vendor-string
+    char*                   hwVersion;          //!< HW-version-string
+    SubString*              hwExtensions;       //!< All suported Extensions.
+
+    // FPS-related
+    bool                    bDisplayFPS;        //!< is true if the fps should be displayed
+    float                   currentFPS;         //!< the current frame rate: frames per seconds
+    float                   maxFPS;             //!< maximal frame rate we ever got since start of the game
+    float                   minFPS;             //!< minimal frame rate we ever got since start.
 
 #ifndef NO_TEXT
-  Text*          geTextCFPS;      //!< Text for the current FPS
-  Text*          geTextMaxFPS;    //!< Text for the max FPS
-  Text*          geTextMinFPS;    //!< Text for the min FPS
+  Text*          geTextCFPS;                    //!< Text for the current FPS
+  Text*          geTextMaxFPS;                  //!< Text for the max FPS
+  Text*          geTextMinFPS;                  //!< Text for the min FPS
 #endif /* NO_TEXT */
 };
Index: /trunk/src/util/resource_manager.cc
===================================================================
--- /trunk/src/util/resource_manager.cc	(revision 5345)
+++ /trunk/src/util/resource_manager.cc	(revision 5346)
@@ -365,5 +365,5 @@
             tmpResource->pointer = new Font(fullName, tmpResource->ttfSize);
           else
-            PRINTF(2)("Sorry, %s does not exist. Not loading Font\n", fullName);
+            PRINTF(2)("%s does not exist in %s. Not loading Font\n", fileName, this->dataDir);
           break;
 #endif /* NO_TEXT */