Index: trunk/src/lib/graphics/Makefile.in
===================================================================
--- trunk/src/lib/graphics/Makefile.in	(revision 5342)
+++ trunk/src/lib/graphics/Makefile.in	(revision 5347)
@@ -14,4 +14,8 @@
 
 @SET_MAKE@
+
+
+SOURCES = $(libORXgraphics_a_SOURCES)
+
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
@@ -36,5 +40,6 @@
 host_triplet = @host@
 subdir = src/lib/graphics
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
+	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
@@ -44,6 +49,29 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
-SOURCES =
-DIST_SOURCES =
+LIBRARIES = $(noinst_LIBRARIES)
+AR = ar
+ARFLAGS = cru
+libORXgraphics_a_AR = $(AR) $(ARFLAGS)
+libORXgraphics_a_LIBADD =
+am_libORXgraphics_a_OBJECTS = graphics_engine.$(OBJEXT) \
+	light.$(OBJEXT) shader.$(OBJEXT) render_2d.$(OBJEXT) \
+	element_2d.$(OBJEXT) text_engine.$(OBJEXT) text.$(OBJEXT) \
+	font.$(OBJEXT)
+libORXgraphics_a_OBJECTS = $(am_libORXgraphics_a_OBJECTS)
+DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
+depcomp = $(SHELL) $(top_srcdir)/depcomp
+am__depfiles_maybe = depfiles
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/element_2d.Po ./$(DEPDIR)/font.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/graphics_engine.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/light.Po ./$(DEPDIR)/render_2d.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/shader.Po ./$(DEPDIR)/text.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/text_engine.Po
+CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
+CXXLD = $(CXX)
+CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
+	-o $@
+SOURCES = $(libORXgraphics_a_SOURCES)
+DIST_SOURCES = $(libORXgraphics_a_SOURCES)
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
@@ -52,4 +80,5 @@
 	pdf-recursive ps-recursive uninstall-info-recursive \
 	uninstall-recursive
+HEADERS = $(noinst_HEADERS)
 ETAGS = etags
 CTAGS = ctags
@@ -164,11 +193,32 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
+MAINSRCDIR = ../..
+noinst_LIBRARIES = libORXgraphics.a
+libORXgraphics_a_SOURCES = graphics_engine.cc \
+			   light.cc \
+			   shader.cc \
+			   render2D/render_2d.cc \
+			   render2D/element_2d.cc \
+			   text_engine/text_engine.cc \
+			   text_engine/text.cc \
+			   text_engine/font.cc
+
+noinst_HEADERS = graphics_engine.h \
+		 light.h \
+		 shader.h \
+		 render2D/render_2d.h \
+		 render2D/element_2d.h \
+		 text_engine/text_engine.h \
+		 text_engine/text.h \
+		 text_engine/font.h
+
 SUBDIRS = importer \
           spatial_separation
 
-EXTRA_DIST = text_engine/font.xpm
+EXTRA_DIST = text_engine/default_font.xpm
 all: all-recursive
 
 .SUFFIXES:
+.SUFFIXES: .cc .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -200,4 +250,122 @@
 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+clean-noinstLIBRARIES:
+	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
+libORXgraphics.a: $(libORXgraphics_a_OBJECTS) $(libORXgraphics_a_DEPENDENCIES) 
+	-rm -f libORXgraphics.a
+	$(libORXgraphics_a_AR) libORXgraphics.a $(libORXgraphics_a_OBJECTS) $(libORXgraphics_a_LIBADD)
+	$(RANLIB) libORXgraphics.a
+
+mostlyclean-compile:
+	-rm -f *.$(OBJEXT)
+
+distclean-compile:
+	-rm -f *.tab.c
+
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/element_2d.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/font.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics_engine.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/light.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/render_2d.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/shader.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text_engine.Po@am__quote@
+
+.cc.o:
+@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<
+
+.cc.obj:
+@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
+
+render_2d.o: render2D/render_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT render_2d.o -MD -MP -MF "$(DEPDIR)/render_2d.Tpo" -c -o render_2d.o `test -f 'render2D/render_2d.cc' || echo '$(srcdir)/'`render2D/render_2d.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/render_2d.Tpo" "$(DEPDIR)/render_2d.Po"; else rm -f "$(DEPDIR)/render_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='render2D/render_2d.cc' object='render_2d.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/render_2d.Po' tmpdepfile='$(DEPDIR)/render_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o render_2d.o `test -f 'render2D/render_2d.cc' || echo '$(srcdir)/'`render2D/render_2d.cc
+
+render_2d.obj: render2D/render_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT render_2d.obj -MD -MP -MF "$(DEPDIR)/render_2d.Tpo" -c -o render_2d.obj `if test -f 'render2D/render_2d.cc'; then $(CYGPATH_W) 'render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/render2D/render_2d.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/render_2d.Tpo" "$(DEPDIR)/render_2d.Po"; else rm -f "$(DEPDIR)/render_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='render2D/render_2d.cc' object='render_2d.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/render_2d.Po' tmpdepfile='$(DEPDIR)/render_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o render_2d.obj `if test -f 'render2D/render_2d.cc'; then $(CYGPATH_W) 'render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/render2D/render_2d.cc'; fi`
+
+element_2d.o: render2D/element_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT element_2d.o -MD -MP -MF "$(DEPDIR)/element_2d.Tpo" -c -o element_2d.o `test -f 'render2D/element_2d.cc' || echo '$(srcdir)/'`render2D/element_2d.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/element_2d.Tpo" "$(DEPDIR)/element_2d.Po"; else rm -f "$(DEPDIR)/element_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='render2D/element_2d.cc' object='element_2d.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/element_2d.Po' tmpdepfile='$(DEPDIR)/element_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o element_2d.o `test -f 'render2D/element_2d.cc' || echo '$(srcdir)/'`render2D/element_2d.cc
+
+element_2d.obj: render2D/element_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT element_2d.obj -MD -MP -MF "$(DEPDIR)/element_2d.Tpo" -c -o element_2d.obj `if test -f 'render2D/element_2d.cc'; then $(CYGPATH_W) 'render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/render2D/element_2d.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/element_2d.Tpo" "$(DEPDIR)/element_2d.Po"; else rm -f "$(DEPDIR)/element_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='render2D/element_2d.cc' object='element_2d.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/element_2d.Po' tmpdepfile='$(DEPDIR)/element_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o element_2d.obj `if test -f 'render2D/element_2d.cc'; then $(CYGPATH_W) 'render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/render2D/element_2d.cc'; fi`
+
+text_engine.o: text_engine/text_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT text_engine.o -MD -MP -MF "$(DEPDIR)/text_engine.Tpo" -c -o text_engine.o `test -f 'text_engine/text_engine.cc' || echo '$(srcdir)/'`text_engine/text_engine.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/text_engine.Tpo" "$(DEPDIR)/text_engine.Po"; else rm -f "$(DEPDIR)/text_engine.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='text_engine/text_engine.cc' object='text_engine.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/text_engine.Po' tmpdepfile='$(DEPDIR)/text_engine.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o text_engine.o `test -f 'text_engine/text_engine.cc' || echo '$(srcdir)/'`text_engine/text_engine.cc
+
+text_engine.obj: text_engine/text_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT text_engine.obj -MD -MP -MF "$(DEPDIR)/text_engine.Tpo" -c -o text_engine.obj `if test -f 'text_engine/text_engine.cc'; then $(CYGPATH_W) 'text_engine/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/text_engine/text_engine.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/text_engine.Tpo" "$(DEPDIR)/text_engine.Po"; else rm -f "$(DEPDIR)/text_engine.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='text_engine/text_engine.cc' object='text_engine.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/text_engine.Po' tmpdepfile='$(DEPDIR)/text_engine.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o text_engine.obj `if test -f 'text_engine/text_engine.cc'; then $(CYGPATH_W) 'text_engine/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/text_engine/text_engine.cc'; fi`
+
+text.o: text_engine/text.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT text.o -MD -MP -MF "$(DEPDIR)/text.Tpo" -c -o text.o `test -f 'text_engine/text.cc' || echo '$(srcdir)/'`text_engine/text.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/text.Tpo" "$(DEPDIR)/text.Po"; else rm -f "$(DEPDIR)/text.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='text_engine/text.cc' object='text.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/text.Po' tmpdepfile='$(DEPDIR)/text.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o text.o `test -f 'text_engine/text.cc' || echo '$(srcdir)/'`text_engine/text.cc
+
+text.obj: text_engine/text.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT text.obj -MD -MP -MF "$(DEPDIR)/text.Tpo" -c -o text.obj `if test -f 'text_engine/text.cc'; then $(CYGPATH_W) 'text_engine/text.cc'; else $(CYGPATH_W) '$(srcdir)/text_engine/text.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/text.Tpo" "$(DEPDIR)/text.Po"; else rm -f "$(DEPDIR)/text.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='text_engine/text.cc' object='text.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/text.Po' tmpdepfile='$(DEPDIR)/text.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o text.obj `if test -f 'text_engine/text.cc'; then $(CYGPATH_W) 'text_engine/text.cc'; else $(CYGPATH_W) '$(srcdir)/text_engine/text.cc'; fi`
+
+font.o: text_engine/font.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT font.o -MD -MP -MF "$(DEPDIR)/font.Tpo" -c -o font.o `test -f 'text_engine/font.cc' || echo '$(srcdir)/'`text_engine/font.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/font.Tpo" "$(DEPDIR)/font.Po"; else rm -f "$(DEPDIR)/font.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='text_engine/font.cc' object='font.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/font.Po' tmpdepfile='$(DEPDIR)/font.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o font.o `test -f 'text_engine/font.cc' || echo '$(srcdir)/'`text_engine/font.cc
+
+font.obj: text_engine/font.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT font.obj -MD -MP -MF "$(DEPDIR)/font.Tpo" -c -o font.obj `if test -f 'text_engine/font.cc'; then $(CYGPATH_W) 'text_engine/font.cc'; else $(CYGPATH_W) '$(srcdir)/text_engine/font.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/font.Tpo" "$(DEPDIR)/font.Po"; else rm -f "$(DEPDIR)/font.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='text_engine/font.cc' object='font.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/font.Po' tmpdepfile='$(DEPDIR)/font.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o font.obj `if test -f 'text_engine/font.cc'; then $(CYGPATH_W) 'text_engine/font.cc'; else $(CYGPATH_W) '$(srcdir)/text_engine/font.cc'; fi`
 uninstall-info-am:
 
@@ -323,5 +491,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/text_engine
+	$(mkdir_p) $(distdir)/render2D $(distdir)/text_engine
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
@@ -365,5 +533,5 @@
 check-am: all-am
 check: check-recursive
-all-am: Makefile
+all-am: Makefile $(LIBRARIES) $(HEADERS)
 installdirs: installdirs-recursive
 installdirs-am:
@@ -394,9 +562,11 @@
 clean: clean-recursive
 
-clean-am: clean-generic mostlyclean-am
+clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
 
 distclean: distclean-recursive
+	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
-distclean-am: clean-am distclean-generic distclean-tags
+distclean-am: clean-am distclean-compile distclean-generic \
+	distclean-tags
 
 dvi: dvi-recursive
@@ -421,4 +591,5 @@
 
 maintainer-clean: maintainer-clean-recursive
+	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
@@ -426,5 +597,5 @@
 mostlyclean: mostlyclean-recursive
 
-mostlyclean-am: mostlyclean-generic
+mostlyclean-am: mostlyclean-compile mostlyclean-generic
 
 pdf: pdf-recursive
@@ -441,15 +612,17 @@
 
 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
-	clean clean-generic clean-recursive ctags ctags-recursive \
-	distclean distclean-generic distclean-recursive distclean-tags \
-	distdir dvi dvi-am html html-am info info-am install \
-	install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
-	install-strip installcheck installcheck-am installdirs \
-	installdirs-am maintainer-clean maintainer-clean-generic \
-	maintainer-clean-recursive mostlyclean mostlyclean-generic \
-	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
-	uninstall uninstall-am uninstall-info-am
-
+	clean clean-generic clean-noinstLIBRARIES clean-recursive \
+	ctags ctags-recursive distclean distclean-compile \
+	distclean-generic distclean-recursive distclean-tags distdir \
+	dvi dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-exec install-exec-am \
+	install-info install-info-am install-man install-strip \
+	installcheck installcheck-am installdirs installdirs-am \
+	maintainer-clean maintainer-clean-generic \
+	maintainer-clean-recursive mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-recursive pdf pdf-am ps ps-am \
+	tags tags-recursive uninstall uninstall-am uninstall-info-am
+
+include $(MAINSRCDIR)/defs/include_paths.am
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.